##------------------------------------------------------------------------
#  Loren Williams
# Georgia Tech
# Mono and Disaccharides
#
# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3
## End of Header: General Commands ##
#----------------------------------------

load files/aa_d.pdb, D-glucose

load files/aa_l.pdb, L-glucose
# files/dd.pdb, beta-D-glucose1
load files/dd_a.pdb, beta-D-glucose2
load files/ccd.pdb, alpha-D-glucose
load files/bbb.pdb, alpha-L-glucose
load files/cc.pdb, p-beta-D-galactose
load files/ff.pdb, f-alpha-ribose
load files/bbe.pdb, D-fructose
load files/bbd.pdb, fructose-bis-phosphate
load files/bb.pdb, f-alpha-D-fructose
load files/gg.pdb, sucrose
load files/iiii.pdb, L-arabinose
load files/ii.pdb, p_beta-D-arabinose
load files/iii.pdb, f_beta-D-arabinose
load files/bbc.pdb, D-sorbose
load files/bba.pdb, sorbose-bis-phosphate
load files/ee.pdb, trehalose
load files/hh.pdb, alpha-manose

align D-glucose, beta-D-Glucose
align L-glucose, D-Glucose
#align alpha-D-glucose, beta-D-Glucose
align alpha-L-glucose, beta-D-Glucose
align f-alpha-ribose, beta-D-Glucose
align p-beta-D-galactose, beta-D-Glucose
align D-fructose, D-glucose
align fructose-bis-phosphate, beta-D-Glucose
align f-alpha-D-fructose, beta-D-Glucose
align L-arabinose, D-glucose
align p_beta-D-arabinose, beta-D-Glucose
align f_beta-D-arabinose, beta-D-Glucose
align D-sorbose, beta-D-Glucose
align sorbose-bis-phosphate, beta-D-Glucose
align trehalose, beta-D-Glucose
align sucrose, beta-D-Glucose
align alpha-manose, beta-D-Glucose



color wheat, name C*
color red, name O*
color white, name H*

color gray80, name H* and (p-beta-D-galactose or alpha-D-glucose)
color palegreen, name C* and (p-beta-D-galactose or alpha-D-glucose)

color palegreen, name C* and (D-fructose or fructose-bis-phosphate or f-alpha-D-fructose or (sucrose and resn FRU) )
color gray80, name H* and (D-fructose or fructose-bis-phosphate or f-alpha-D-fructose or (sucrose and resn FRU) )


hide everything
show sticks


label name C1 and D-glucose, "anomeric carbon"
label name O5 and D-glucose, "O5 nucleophile"
label name O1 and D-glucose, "aldehyde"
set label_position,(0,1.5,0), name O1 and D-glucose
show spheres, (name O5 or name O1) and D-glucose
color ruby, name O5 and D-glucose


label name C1 and L-glucose, "anomeric carbon"
label name O5 and L-glucose, "O5 nucleophile"
label name O1 and L-glucose, "aldehyde"
set label_position,(0,1.5,0), name O1 and L-glucose
show spheres, (name O5 or name O1) and L-glucose
color ruby, name O5 and L-glucose


label name C1 and beta-D-glucose, "anomeric carbon"
show spheres, (name O5 or name O1) and beta-D-glucose
color ruby, name O5 and beta-D-glucose
label name O5 and beta-D-glucose, "O5"

label name C1 and alpha-D-glucose, "anomeric carbon"
show spheres, (name O5 or name O1) and alpha-D-glucose
color ruby, name O5 and alpha-D-glucose
label name O5 and alpha-D-glucose, "O5"

label name C1 and alpha-L-glucose, "anomeric carbon"
show spheres, (name O5 or name O1) and alpha-L-glucose
color ruby, name O5 and alpha-L-glucose
label name O5 and alpha-L-glucose, "O5"

label name C1 and D-arabinose, "anomeric carbon"
show spheres, (name O5 or name O1 or name O4) and D-arabinose
color ruby, name O5 and D-arabinose
color brown, name O4 and D-arabinose

label name O5 and D-arabinose, "O5"
label name O4 and D-arabinose, "O4"

label name C1 and p_beta-D-arabinose, "anomeric carbon"
show spheres, (name O5 or name O1 or name O4) and p_beta-D-arabinose
color ruby, name O5 and p_beta-D-arabinose
color brown, name O4 and p_beta-D-arabinose
label name O5 and p_beta-D-arabinose, "O5"
label name O4 and p_beta-D-arabinose, "O4"

label name C1 and f_beta-D-arabinose, "anomeric carbon"
show spheres, (name O5 or name O4 or name O1) and f_beta-D-arabinose
color brown, name O4 and f_beta-D-arabinose
color ruby, name O5 and f_beta-D-arabinose
label name O5 and f_beta-D-arabinose, "O5"
label name O4 and f_beta-D-arabinose, "O4"

label name C1 and not (D-fructose or D-sorbose or sorbose-bis-phosphate or fructose-bis-phosphate or f-alpha-D-fructose or sucrose), "anomeric carbon"

label name C2 and (D-fructose or D-sorbose or sorbose-bis-phosphate or fructose-bis-phosphate or f-alpha-D-fructose), "anomeric carbon"

label ( sucrose and  ( (resn GLC and name C1) or (resn FRU and name C2) ) ), "anomeric carbon"

set sphere_scale=.21

disable all
enable beta-D-glucose

set_view (\
    -0.020441895,    0.992465496,    0.120841071,\
     0.639130473,   -0.079977073,    0.764927864,\
     0.768828392,    0.092868268,   -0.632674038,\
     0.000000000,   -0.000000000,  -23.027299881,\
     8.390666008,   28.348335266,   48.197460175,\
  -14065.045898438, 14111.100585938,  -20.000000000 )

rot z, 90, L-glucose
rot z, 90, D-glucose
